Bug 1496232 - "Run mount in its own systemd scope" commit breaks 3.4 build
Summary: "Run mount in its own systemd scope" commit breaks 3.4 build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.4.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.z
Assignee: hchen
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 17:58 UTC by Justin Pierce
Modified: 2017-12-07 07:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-07 07:11:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Description Justin Pierce 2017-09-26 17:58:36 UTC
During builds of 3.4 (after 3.4.1.44.19 | https://github.com/openshift/ose/commit/0876fd49056d47a258f1b886dcae28e1761d93cc ), the following error occurs during the build process:

+ hack/build-cross.sh
++ Building go targets for linux/amd64: images/pod cmd/dockerregistry cmd/gitserver pkg/sdn/plugin/sdn-cni-plugin vendor/github.com/containernetworking/cni/plugins/ipam/host-local vendor/github.com/containernetworking/cni/plugins/main/loopback examples/hello-openshift examples/deployment
++ Building go targets for linux/amd64: cmd/openshift cmd/oc
++ Building go targets for darwin/amd64: cmd/openshift cmd/oc
# github.com/openshift/origin/vendor/k8s.io/kubernetes/cmd/kubelet/app
vendor/k8s.io/kubernetes/cmd/kubelet/app/server.go:119: not enough arguments in call to mount.New
# github.com/openshift/origin/vendor/k8s.io/kubernetes/cmd/kube-proxy/app
vendor/k8s.io/kubernetes/cmd/kube-proxy/app/conntrack.go:70: not enough arguments in call to mount.New
[ERROR] PID 97992: hack/common.sh:147: `local -a binaries=("$@")` exited with status 1.
[INFO] 		Stack Trace: 
[INFO] 		  1: hack/common.sh:147: `local -a binaries=("$@")`
[INFO] 		  2: hack/build-cross.sh:71: os::build::build_binaries
[INFO]   Exiting with code 1.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.YC0W0j (%build)
    Bad exit status from /var/tmp/rpm-tmp.YC0W0j (%build)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/origin.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mockbuild/util.py", line 345, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/origin.spec']
LEAVE do --> EXCEPTION RAISED



Version-Release number of selected component (if applicable):
post 3.4.1.44.19

Comment 1 Jan Safranek 2017-10-17 14:59:36 UTC
This has been fixed in https://github.com/openshift/ose/pull/876

Comment 3 Qin Ping 2017-10-31 05:08:52 UTC
Verified build cross locally.
ose tag: v3.4.1.44.33
origin tag: v1.4.1

++ Building go targets for linux/amd64: images/pod cmd/dockerregistry cmd/gitserver pkg/sdn/plugin/sdn-cni-plugin vendor/github.com/containernetworking/cni/plugins/ipam/host-local vendor/github.com/containernetworking/cni/plugins/main/loopback examples/hello-openshift examples/deployment
++ Building go targets for linux/amd64: cmd/openshift cmd/oc
++ Building go targets for darwin/amd64: cmd/openshift cmd/oc
++ Building go targets for windows/amd64: cmd/openshift cmd/oc
++ Building go targets for linux/386: cmd/openshift cmd/oc
++ Building go targets for linux/amd64: test/extended/extended.test
++ Placing binaries
++ Creating openshift-origin-client-tools-v3.4.1.44.33-d72524e-dirty-linux-64bit.tar.gz
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./openshift
74c5d454d035d4087cc0c756c44b440e287507e73bcd77768128743ad4b5ce67  ./oc
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./oadm
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./kubelet
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./kube-proxy
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./kube-apiserver
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./kube-controller-manager
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./kube-scheduler
74c5d454d035d4087cc0c756c44b440e287507e73bcd77768128743ad4b5ce67  ./kubectl
e0be1be49c9256b636ad6a4a61c85c2bc76b1878ef6138fcf2a6a300cc9cf431  ./README.md
f6d5b461deb8038ce0e083c9cb7f59859caa04c9b4f72149367393e9b252cf14  ./LICENSE
which: no bsdtar in (/home/qinping/workdir/src/github.com/openshift/ose/_output/local/bin/linux/amd64:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/qinping/.local/bin:/home/qinping/bin:/home/qinping/go/bin:/home/qinping/workdir/src/github.com/k8s.io/kubernetes/third_party/etcd:/home/qinping/workdir/bin)
++ Creating openshift-origin-server-v3.4.1.44.33-d72524e-dirty-linux-64bit.tar.gz
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./openshift
74c5d454d035d4087cc0c756c44b440e287507e73bcd77768128743ad4b5ce67  ./oc
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./oadm
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./kubelet
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./kube-proxy
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./kube-apiserver
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./kube-controller-manager
7c7726e383ed43b871861432be7e7609af26bf6dddaf5d101dd3957133a9aeb7  ./kube-scheduler
74c5d454d035d4087cc0c756c44b440e287507e73bcd77768128743ad4b5ce67  ./kubectl
e0be1be49c9256b636ad6a4a61c85c2bc76b1878ef6138fcf2a6a300cc9cf431  ./README.md
f6d5b461deb8038ce0e083c9cb7f59859caa04c9b4f72149367393e9b252cf14  ./LICENSE
which: no bsdtar in (/home/qinping/workdir/src/github.com/openshift/ose/_output/local/bin/linux/amd64:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/qinping/.local/bin:/home/qinping/bin:/home/qinping/go/bin:/home/qinping/workdir/src/github.com/k8s.io/kubernetes/third_party/etcd:/home/qinping/workdir/bin)
++ Creating openshift-origin-client-tools-v3.4.1.44.33-d72524e-dirty-mac.zip
d839f054cb16fbaf997e7d61a090a2729ce71f35a65c5dcf6bb8c289b5ad0dc4  oc
e0be1be49c9256b636ad6a4a61c85c2bc76b1878ef6138fcf2a6a300cc9cf431  README.md
f6d5b461deb8038ce0e083c9cb7f59859caa04c9b4f72149367393e9b252cf14  ./LICENSE
++ Creating openshift-origin-client-tools-v3.4.1.44.33-d72524e-dirty-windows.zip
f249ba395cd19554232bd41b628184234c0c92035c6658d6297672aace02bbb4  oc.exe
e0be1be49c9256b636ad6a4a61c85c2bc76b1878ef6138fcf2a6a300cc9cf431  README.md
f6d5b461deb8038ce0e083c9cb7f59859caa04c9b4f72149367393e9b252cf14  ./LICENSE
++ Creating openshift-origin-client-tools-v3.4.1.44.33-d72524e-dirty-linux-32bit.tar.gz
7f25d6aa191748521972d94c8167d9947ef7fa34279ac4adb98718d1f38c07a7  ./openshift
6aae07cf5188e9d8b458e45bd04773ae2bb83eef9e2321c5747d2438ab6c51b6  ./oc
7f25d6aa191748521972d94c8167d9947ef7fa34279ac4adb98718d1f38c07a7  ./oadm
7f25d6aa191748521972d94c8167d9947ef7fa34279ac4adb98718d1f38c07a7  ./kubelet
7f25d6aa191748521972d94c8167d9947ef7fa34279ac4adb98718d1f38c07a7  ./kube-proxy
7f25d6aa191748521972d94c8167d9947ef7fa34279ac4adb98718d1f38c07a7  ./kube-apiserver
7f25d6aa191748521972d94c8167d9947ef7fa34279ac4adb98718d1f38c07a7  ./kube-controller-manager
7f25d6aa191748521972d94c8167d9947ef7fa34279ac4adb98718d1f38c07a7  ./kube-scheduler
6aae07cf5188e9d8b458e45bd04773ae2bb83eef9e2321c5747d2438ab6c51b6  ./kubectl
e0be1be49c9256b636ad6a4a61c85c2bc76b1878ef6138fcf2a6a300cc9cf431  ./README.md
f6d5b461deb8038ce0e083c9cb7f59859caa04c9b4f72149367393e9b252cf14  ./LICENSE
which: no bsdtar in (/home/qinping/workdir/src/github.com/openshift/ose/_output/local/bin/linux/amd64:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/qinping/.local/bin:/home/qinping/bin:/home/qinping/go/bin:/home/qinping/workdir/src/github.com/k8s.io/kubernetes/third_party/etcd:/home/qinping/workdir/bin)
++ Placing binaries
++ Creating openshift-origin-image-v3.4.1.44.33-d72524e-dirty-linux-64bit.tar.gz
cdb44b8f8656f0d771926ff37bd4b884236c201c6a1346846f495517c1cba121  ./hello-openshift
15766e1009d209d5d6f2f4de2da4658681105799145ba4d59c9f1a0bdaf91d7b  ./deployment
06aa4d795ab9d0eb1636f68c18eafee933199efcab9e81a8fa1db0faee9a2356  ./pod
cfb54e939ea7ce4e1f192ae44e1389565195a5168b34a3538058272a7d57573d  ./dockerregistry
feee832397352a55037681a47ca52b57b1d1adadc332187412712b7b05502367  ./gitserver
86c463dce9c0bc984cda44bd9f04888603612f0584fda4c75986149687e9baf7  ./sdn-cni-plugin
ca7cb54da314541048fdcb88f57f47fbdcbb142ce0e4694cf10be5ecf07c8da6  ./host-local
98fd11846226c35414b6e0eb6c2a7d513e665b19664c23ba82fd7a9d70f48654  ./loopback
which: no bsdtar in (/home/qinping/workdir/src/github.com/openshift/ose/_output/local/bin/linux/amd64:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/qinping/.local/bin:/home/qinping/bin:/home/qinping/go/bin:/home/qinping/workdir/src/github.com/k8s.io/kubernetes/third_party/etcd:/home/qinping/workdir/bin)
./hack/build-cross.sh took 852 seconds

Comment 6 errata-xmlrpc 2017-12-07 07:11:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.